=== debian/control ===
Source: netkit-telnet-ssl
Section: net
Priority: extra
Maintainer: Ian Beckwith <ianb@nessie.mcc.ac.uk>
Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>
Standards-Version: 3.7.2
Build-Depends: debhelper (>=4), libncurses-dev, libssl-dev

Package: telnet-ssl
Architecture: any
Depends: ${shlibs:Depends}
Replaces: netstd
Conflicts: telnet, ssltelnet (<< 0.12)
Provides: telnet-client
Description: The telnet client with SSL encryption support
 The telnet command is used for interactive communication with another host
 using the TELNET protocol.
 .
 SSL telnet(d) replaces normal telnet(d) using SSL authentication and 
 encryption. It interoperates with normal telnet(d) in both directions.
 It checks if the other side is also talking SSL, if not it falls back
 to normal telnet protocol.
 .
 Advantages over normal telnet(d): Your passwords and the data you send
 will not go in cleartext over the line. Nobody can get it with 
 tcpdump or similar tools. With SSLtelnet you can also connect to
 https-server like https://www.netscape.com. Just do 
 'telnet www.netscape.com 443'

Package: telnetd-ssl
Architecture: any
Depends: adduser, base-files (>= 2.1.8), dpkg (>= 1.7.0), openbsd-inetd | inet-superserver, passwd, openssl (>= 0.9.2b), ${shlibs:Depends}
Replaces: netstd
Provides: telnet-server
Conflicts: suidmanager (<< 0.50), telnetd, ssltelnet (<< 0.12)
Description: The telnet server with SSL encryption support
 The in.telnetd program is a server which supports the DARPA telnet interactive
 communication protocol.
 .
 SSL telnet(d) replaces normal telnet(d) using SSL authentication and 
 encryption. It interoperates with normal telnet(d) in both directions.
 It checks if the other side is also talking SSL, if not it falls back
 to normal telnet protocol.
 .
 Advantages over normal telnet(d): Your passwords and the data you send
 will not go in cleartext over the line. Nobody can get it with 
 tcpdump or similar tools. With SSLtelnet you can also connect to
 https-server like https://www.netscape.com. Just do 
 'telnet www.netscape.com 443'
